<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <BaseOutputPath>D:\Codes\Ayay\SHH.CameraService\bin</BaseOutputPath>
	<AllowUnsafeBlocks>true</AllowUnsafeBlocks>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Drivers\NativeLibraryLoader.cs" />
    <Compile Remove="Drivers\VideoSourceFactory.cs" />
  </ItemGroup>

  <ItemGroup>
	  <PackageReference Include="AForge.Video.DirectShow" Version="2.2.5" />
	  <PackageReference Include="Lennox.LibYuvSharp" Version="1.1.2" />
	  <PackageReference Include="Serilog" Version="4.3.0" />
	  <PackageReference Include="Swashbuckle.AspNetCore" Version="6.5.0" />
	  <PackageReference Include="OpenCvSharp4" Version="4.11.0.20250507" />
	  <PackageReference Include="OpenCvSharp4.Extensions" Version="4.11.0.20250507" />
    <PackageReference Include="OpenCvSharp4.runtime.win" Version="4.11.0.20250507" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Ayay.SerilogLogs\Ayay.SerilogLogs.csproj" />
    <ProjectReference Include="..\SHH.Contracts.Grpc\SHH.Contracts.Grpc.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Using Include="System.Collections.Concurrent" />
    <Using Include="System.Collections.ObjectModel" />
    <Using Include="System.Diagnostics" />
    <Using Include="System.Runtime.InteropServices" />
    <Using Include="System.Text" />
    <Using Include="System.Text.Json.Serialization" />
    <Using Include="System.Threading.Channels" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Subscribes\" />
  </ItemGroup>

</Project>
